Package csb :: Package bio :: Package structure :: Class DisorderedAtom

[frames] | no frames]

# Class DisorderedAtom

source code

                  object --+
                           |
        core.AbstractIndexer --+
                               |
    core.BaseCollectionContainer --+
                                   |
            core.CollectionContainer --+
                                       |
                      object --+       |
                               |       |
                  AbstractEntity --+   |
                                   |   |
                                Atom --+
                                       |
                                      DisorderedAtom

A wobbling atom, which has alternative locations. Each alternative is represented as a 'normal' Atom. The atom with a highest occupancy is selected as a representative, hence a DisorderedAtom behaves as a regular Atom (proxy of the representative) as well as a collection of Atoms.

Nested Classes
Inherited from `AbstractEntity`: `__metaclass__`

Instance Methods

__getattr__(self, name) | source code

__init__(self, atom) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__repr__(self) repr(x) | source code

int

append(self, atom) Append a new atom to the collection of alternatives. | source code

Atom

find(self, altloc) Retrieve a specific atom by its altloc identifier. | source code

transform(self, rotation, translation) Apply in place RotationMatrix and translation Vector to all atoms. | source code

Inherited from `core.BaseCollectionContainer`: `__bool__`, `__contains__`, `__getitem__`, `__iter__`, `__len__`, `__nonzero__`

Inherited from `Atom`: `__lt__`, `clone`, `get_coordinates`

Inherited from `AbstractEntity`: `components`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `Atom`: `__abstractmethods__`

Properties
Inherited from `core.BaseCollectionContainer`: `last_index`, `length`, `start_index` Inherited from `Atom`: `alternate`, `bfactor`, `charge`, `element`, `items`, `name`, `occupancy`, `residue`, `serial_number`, `vector` Inherited from `object`: `__class__`

Method Details

### __init__(self, atom)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `atom` (Atom) - the first atom to be appended to the collection of alternatives. It is automatically defined as a representative, until a new atom with higher occupancy is appended to the collection
Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### append(self, atom)

source code

Append a new atom to the collection of alternatives.

Parameters:
  - `atom` (Atom) - the new alternative
Returns: int
  the index of the new element
Raises:
  - `TypeError` - when the container is type-safe and item has an incorrect type
Overrides: core.CollectionContainer.append

### find(self, altloc)

source code

Retrieve a specific atom by its altloc identifier.

Parameters:
  - `altloc` (str) - alternative location identifier
Returns: Atom

### transform(self, rotation, translation)

source code

Apply in place RotationMatrix and translation Vector to all atoms.

Overrides: AbstractEntity.transform
  (inherited documentation)